.\" $NetBSD: battery_pmu.4,v 1.4 2009/05/18 14:41:07 wiz Exp $
.\"
.\" Copyright (c) 2007
.\" 	Michael Lorenz.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd May 18, 2009
.Dt BATTERY_PMU 4
.Os
.Sh NAME
.Nm battery_pmu
.Nd support for batteries and sensors in PCI-based Apple Powerbooks
.Sh SYNOPSIS
.Cd "battery* at pmu?"
.Sh DESCRIPTION
The
.Nm
driver provides support for batteries and hardware sensors found
in first generation PCI-based PowerBooks (i.e. Apple Powerbook
2400, 3400 and 3500 (also known as Original PowerBook G3).
Currently it only exports a few sensors via the
.Xr envsys 4
interface, including battery charge, voltage, CPU and battery
temperature and AC power availability.
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr pmu 4 ,
.Xr envstat 8
.Sh BUGS
There is no APM emulation right now and the battery current sensor
may return misleading or wrong data.
This driver is considered preliminary and may be replaced at some
point.
